\def\filedate{19 October 2016}
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Document class for Otago Business School course outlines.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
% Version History
% v1.0   Initial version.
% v1.0.1 Switched to PDF version of Otago Business School logo.
%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

\NeedsTeXFormat{LaTeX2e}[2001/06/01]
\ProvidesClass{courseoutline}%
         [2016/10/19 OBS course outline style, v.1.0.1]


\LoadClassWithOptions{article}


% Load required packages.
\RequirePackage{geometry}
\RequirePackage{pifont}
\RequirePackage{parskip}        % Space-separated rather than indented paragraphs.
\RequirePackage{etoolbox}       % Mainly for \AfterEndPreamble.
% DO NOT REMOVE THE NEXT LINE! The lecturecommon package loads a bunch
% of other packages and sets up various counters, etc., several of which
% are used below.
\RequirePackage{lecturecommon}


% Package initialisation.

% geometry setup.
\geometry{a4paper,margin={1in,1in}}

% hyperref setup. We can't execute this immediately, because the
% macros referenced here haven't been set yet. All paper and chapter
% variables (where applicable) must therefore be initialised in the
% document preamble.
\AtBeginDocument{%
    \hypersetup{%
        pdftitle={\PaperCode\ course outline, \YearOffered},%
        pdfsubject={\PaperTitle},%
        pdfauthor={Information Science, University of Otago},%
    }%
}

% Automatically insert standard Otago Business School title page,
% and table of contents. Use \AfterEndPreamble from etoolbox because
% doing it \AtBeginDocument somehow clashes with menukeys.
\AfterEndPreamble{%
    \thispagestyle{empty}%
    \begin{center}%
        \sffamily%
        \vspace*{0.5cm}%
        \includegraphics[scale=0.5]{Business_School_LS_ID_Maori}%
        \vfill%
        \Huge%
        \textbf{\PaperCode}\par%
        \textbf{\PaperTitle}\par%
        \Large%
        \TeachingPeriod, \YearOffered%
        \vfill%
        \Huge%
        \textbf{COURSE OUTLINE}%
        \vfill%
    \end{center}%
    \newpage%
    \thispagestyle{empty}%
    \tableofcontents%
    \setcounter{page}{0}%
    \newpage%
}

\endinput
